From 6a936b31174ce812bddb5f99ce9e63a92545530e Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 17 2020 16:33:33 +0000
Subject: [PATCH 1445/2232] Add link to website


---

diff --git a/Cargo.toml b/Cargo.toml
index a9e8644..fff332c 100644
--- a/Cargo.toml
+++ b/Cargo.toml
@@ -8,6 +8,7 @@ license = "MIT OR Apache-2.0"
 description = "Safe interop between Rust and C++"
 repository = "https://github.com/dtolnay/cxx"
 documentation = "https://docs.rs/cxx"
+website = "https://cxx.rs"
 readme = "README.md"
 exclude = ["/demo", "/gen", "/syntax", "/third-party"]
 keywords = ["ffi"]
diff --git a/gen/build/Cargo.toml b/gen/build/Cargo.toml
index 0fc2004..337fafd 100644
--- a/gen/build/Cargo.toml
+++ b/gen/build/Cargo.toml
@@ -6,6 +6,7 @@ edition = "2018"
 license = "MIT OR Apache-2.0"
 description = "C++ code generator for integrating `cxx` crate into a Cargo build."
 repository = "https://github.com/dtolnay/cxx"
+website = "https://cxx.rs"
 exclude = ["build.rs"]
 keywords = ["ffi"]
 categories = ["development-tools::ffi"]
diff --git a/gen/cmd/Cargo.toml b/gen/cmd/Cargo.toml
index 8fbef1e..c3a8927 100644
--- a/gen/cmd/Cargo.toml
+++ b/gen/cmd/Cargo.toml
@@ -6,6 +6,7 @@ edition = "2018"
 license = "MIT OR Apache-2.0"
 description = "C++ code generator for integrating `cxx` crate into a non-Cargo build."
 repository = "https://github.com/dtolnay/cxx"
+website = "https://cxx.rs"
 exclude = ["build.rs"]
 keywords = ["ffi"]
 categories = ["development-tools::ffi"]
diff --git a/macro/Cargo.toml b/macro/Cargo.toml
index 5ba8478..36e8d9f 100644
--- a/macro/Cargo.toml
+++ b/macro/Cargo.toml
@@ -6,6 +6,7 @@ edition = "2018"
 license = "MIT OR Apache-2.0"
 description = "Implementation detail of the `cxx` crate."
 repository = "https://github.com/dtolnay/cxx"
+website = "https://cxx.rs"
 exclude = ["build.rs", "README.md"]
 keywords = ["ffi"]
 categories = ["development-tools::ffi"]
diff --git a/src/lib.rs b/src/lib.rs
index e4431ac..f114ab3 100644
--- a/src/lib.rs
+++ b/src/lib.rs
@@ -23,6 +23,13 @@
 //!
 //! <br>
 //!
+//! # Guide
+//!
+//! Please see **<https://cxx.rs>** for a tutorial, reference material, and
+//! example code.
+//!
+//! <br>
+//!
 //! # Overview
 //!
 //! The idea is that we define the signatures of both sides of our FFI boundary

